> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account

> Requires one of the following scopes: `accounts:read`, `accounts:all`, `all:read`, `all:all`



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json get /api/v2/accounts/{email}
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-displayName: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-displayName: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-displayName: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-displayName: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-displayName: Email
  - name: EmailVerification
    description: A single email verification
    x-displayName: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-displayName: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-displayName: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-displayName: Inbox Placement Analytics
  - name: InboxPlacementBlacklist&SpamAssassinReport
    description: Report data for an inbox placement test
    x-displayName: Inbox Placement Blacklist & SpamAssassin Report
  - name: APIKey
    description: API Key
    x-displayName: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-displayName: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-displayName: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-displayName: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-displayName: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-displayName: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-displayName: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-displayName: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-displayName: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-displayName: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-displayName: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-displayName: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-displayName: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-displayName: Audit Log
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-displayName: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-displayName: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-displayName: DFY Email Account Order
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-displayName: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-displayName: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-displayName: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-displayName: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-displayName: CRM Actions
paths:
  /api/v2/accounts/{email}:
    get:
      tags:
        - Account
      summary: Get account
      description: >-
        Requires one of the following scopes: `accounts:read`, `accounts:all`,
        `all:read`, `all:all`
      operationId: getAccount
      parameters:
        - schema:
            type: string
            example: jon@doe.com
          in: path
          name: email
          required: true
          description: The email of the account to get
      responses:
        '200':
          description: The requested Account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-0'
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  schemas:
    def-0:
      title: Account
      description: An email account that can be used to send campaigns
      x-tags:
        - Schemas
        - Account
      type: object
      properties:
        email:
          type: string
          description: Email address of the account
          format: email
          example: user@example.com
        timestamp_created:
          type: string
          description: Timestamp when the account was created
          readOnly: true
          format: date-time
          example: '2026-05-11T21:12:35.879Z'
        timestamp_updated:
          type: string
          description: Timestamp when the account was last updated
          readOnly: true
          format: date-time
          example: '2026-05-11T21:12:35.879Z'
        first_name:
          type: string
          description: First name associated with the account
          example: John
        last_name:
          type: string
          description: Last name associated with the account
          example: Doe
        warmup:
          type: object
          description: Warmup configuration for the account
          properties:
            limit:
              type: number
              description: Email sending limit for the account
              example: 100
            advanced:
              type: object
              description: Advanced settings for the account
              properties:
                warm_ctd:
                  type: boolean
                  description: Whether the account is in warm CTD mode
                  example: false
                open_rate:
                  type: number
                  description: Email open rate for the account
                  example: 0.95
                important_rate:
                  type: number
                  description: Important email rate for the account
                  example: 0.8
                read_emulation:
                  type: boolean
                  description: Whether read emulation is enabled
                  example: true
                spam_save_rate:
                  type: number
                  description: Spam save rate for the account
                  example: 0.02
                weekday_only:
                  type: boolean
                  description: Whether to send emails only on weekdays
                  example: true
            warmup_custom_ftag:
              type: string
              description: Custom tag for the account
              example: warmup
            increment:
              type: string
              enum:
                - disabled
                - '0'
                - '1'
                - '2'
                - '3'
                - '4'
              x-enumDescriptions:
                '0': '0'
                '1': '1'
                '2': '2'
                '3': '3'
                '4': '4'
                disabled: Disabled
              description: >-
                Daily increment added to the sending limit, starting from 0,
                until the full daily limit is reached (slow ramp). Gradually
                increases sending volume to improve deliverability. Set to
                `disabled` to send at the full daily limit from day one.
              example: disabled
            reply_rate:
              type: number
              description: Reply rate for the account
              example: 0.1
        added_by:
          type:
            - 'null'
            - string
          description: User ID who added the account
          readOnly: true
          format: uuid
          example: 019e18e2-7927-791c-935f-178cd881d99d
        daily_limit:
          type:
            - 'null'
            - number
          description: Daily email sending limit
          example: 100
        modified_by:
          type:
            - 'null'
            - string
          description: User ID who last modified the account
          readOnly: true
          format: uuid
          example: 019e18e2-7927-791c-935f-178d2c5b9000
        tracking_domain_name:
          type:
            - 'null'
            - string
          description: Tracking domain
          example: example.com
        tracking_domain_status:
          type:
            - 'null'
            - string
          description: Tracking domain status
          example: active
        status:
          type: number
          description: Current status of the account
          readOnly: true
          enum:
            - 1
            - 2
            - 3
            - -1
            - -2
            - -3
          x-enumDescriptions:
            '1': Active
            '2': Paused
            '3': >-
              Temporarily paused for maintenance; will be automatically resumed
              shortly
            '-1': Connection Error
            '-2': Soft Bounce Error
            '-3': Sending Error
          example: 1
        enable_slow_ramp:
          type:
            - 'null'
            - boolean
          description: Whether to enable slow ramp up for sending limits
          example: false
        inbox_placement_test_limit:
          type:
            - 'null'
            - number
          description: The limit for inbox placement tests
          minimum: 0
          example: 10
        organization:
          type: string
          description: Organization ID that owns this account
          readOnly: true
          format: uuid
          example: 019e18e2-7927-791c-935f-178e45a141c5
        timestamp_last_used:
          type:
            - 'null'
            - string
          description: Timestamp when the account was last used
          readOnly: true
          format: date-time
          example: '2026-05-11T21:12:35.879Z'
        warmup_status:
          type: number
          description: Current warmup status of the account
          readOnly: true
          enum:
            - 0
            - 1
            - -1
            - -2
            - -3
          x-enumDescriptions:
            '0': Paused
            '1': Active
            '-1': Banned
            '-2': Spam Folder Unknown
            '-3': Permanent Suspension
          example: 1
        status_message:
          type: object
          description: Status message for the account
          readOnly: true
          properties:
            code:
              type: string
              example: EENVELOPE
            command:
              type: string
              example: DATA
            response:
              type: string
              example: >-
                550-5.4.5 Daily user sending limit exceeded. For more
                information on Gmai
            e_message:
              type: string
              example: >-
                error: data command failed: 550-5.4.5 daily user sending limit
                exceeded
            responseCode:
              type: number
              example: 550
          additionalProperties: true
        timestamp_warmup_start:
          type:
            - 'null'
            - string
          description: Timestamp when warmup was started
          readOnly: true
          format: date-time
          example: '2026-05-11T21:12:35.879Z'
        provider_code:
          type: number
          description: >-
            Provider code for the account. Please make sure to specify the right
            provider code, otherwise your account will not work.
          enum:
            - 1
            - 2
            - 3
            - 4
            - 8
          x-enumDescriptions:
            '1': Custom IMAP/SMTP
            '2': Google
            '3': Microsoft
            '4': AWS
            '8': AirMail
          example: 2
        setup_pending:
          type: boolean
          description: Whether account setup is pending
          readOnly: true
          example: false
        warmup_pool_id:
          type:
            - 'null'
            - string
          description: ID of the warmup pool this account belongs to
          readOnly: true
          format: uuid
          example: 019e18e2-7927-791c-935f-178fcf3daf34
        is_managed_account:
          type: boolean
          description: Whether this is a managed account
          readOnly: true
          example: false
        dfy_password_changed:
          type:
            - 'null'
            - boolean
          description: Whether DFY password has been changed
          readOnly: true
          example: false
        stat_warmup_score:
          type:
            - 'null'
            - number
          description: Warmup score for the account
          readOnly: true
          example: 85
        sending_gap:
          type: number
          description: >-
            The gap between emails sent from this account in minutes (minimum
            wait time when used with multiple campaigns)
          minimum: 0
          maximum: 1440
          example: 10
        signature:
          type:
            - 'null'
            - string
          description: Email signature for the account
          example: Best regards, John Doe
        autofix_failed:
          type:
            - 'null'
            - boolean
          description: >-
            Whether automatic reconnection attempts have failed. null = in
            progress, true = failed, false = succeeded.
          readOnly: true
          example: false
      required:
        - email
        - timestamp_created
        - timestamp_updated
        - first_name
        - last_name
        - organization
        - warmup_status
        - provider_code
        - setup_pending
        - is_managed_account
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````